Package ghidra.rmi.trace

# Interface TraceRmi.RootMessageOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `TraceRmi.RootMessage`, `TraceRmi.RootMessage.Builder`

Enclosing class:
  `TraceRmi`

public static interface TraceRmi.RootMessageOrBuilder extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceRmi.ReplyError`
  `getError()`
  `.ghidra.rmi.trace.ReplyError error = 1;`
  `TraceRmi.ReplyErrorOrBuilder`
  `getErrorOrBuilder()`
  `.ghidra.rmi.trace.ReplyError error = 1;`
  `TraceRmi.RootMessage.MsgCase`
  `getMsgCase()`
  `TraceRmi.ReplyActivate`
  `getReplyActivate()`
  `.ghidra.rmi.trace.ReplyActivate reply_activate = 45;`
  `TraceRmi.ReplyActivateOrBuilder`
  `getReplyActivateOrBuilder()`
  `.ghidra.rmi.trace.ReplyActivate reply_activate = 45;`
  `TraceRmi.ReplyCloseTrace`
  `getReplyCloseTrace()`
  `.ghidra.rmi.trace.ReplyCloseTrace reply_close_trace = 9;`
  `TraceRmi.ReplyCloseTraceOrBuilder`
  `getReplyCloseTraceOrBuilder()`
  `.ghidra.rmi.trace.ReplyCloseTrace reply_close_trace = 9;`
  `TraceRmi.ReplyCreateObject`
  `getReplyCreateObject()`
  `.ghidra.rmi.trace.ReplyCreateObject reply_create_object = 28;`
  `TraceRmi.ReplyCreateObjectOrBuilder`
  `getReplyCreateObjectOrBuilder()`
  `.ghidra.rmi.trace.ReplyCreateObject reply_create_object = 28;`
  `TraceRmi.ReplyCreateOverlaySpace`
  `getReplyCreateOverlay()`
  `.ghidra.rmi.trace.ReplyCreateOverlaySpace reply_create_overlay = 15;`
  `TraceRmi.ReplyCreateOverlaySpaceOrBuilder`
  `getReplyCreateOverlayOrBuilder()`
  `.ghidra.rmi.trace.ReplyCreateOverlaySpace reply_create_overlay = 15;`
  `TraceRmi.ReplyCreateTrace`
  `getReplyCreateTrace()`
  `.ghidra.rmi.trace.ReplyCreateTrace reply_create_trace = 5;`
  `TraceRmi.ReplyCreateTraceOrBuilder`
  `getReplyCreateTraceOrBuilder()`
  `.ghidra.rmi.trace.ReplyCreateTrace reply_create_trace = 5;`
  `TraceRmi.ReplyDeleteBytes`
  `getReplyDeleteBytes()`
  `.ghidra.rmi.trace.ReplyDeleteBytes reply_delete_bytes = 21;`
  `TraceRmi.ReplyDeleteBytesOrBuilder`
  `getReplyDeleteBytesOrBuilder()`
  `.ghidra.rmi.trace.ReplyDeleteBytes reply_delete_bytes = 21;`
  `TraceRmi.ReplyDeleteRegisterValue`
  `getReplyDeleteRegisterValue()`
  `.ghidra.rmi.trace.ReplyDeleteRegisterValue reply_delete_register_value = 25;`
  `TraceRmi.ReplyDeleteRegisterValueOrBuilder`
  `getReplyDeleteRegisterValueOrBuilder()`
  `.ghidra.rmi.trace.ReplyDeleteRegisterValue reply_delete_register_value = 25;`
  `TraceRmi.ReplyDisassemble`
  `getReplyDisassemble()`
  `.ghidra.rmi.trace.ReplyDisassemble reply_disassemble = 43;`
  `TraceRmi.ReplyDisassembleOrBuilder`
  `getReplyDisassembleOrBuilder()`
  `.ghidra.rmi.trace.ReplyDisassemble reply_disassemble = 43;`
  `TraceRmi.ReplyEndTx`
  `getReplyEndTx()`
  `.ghidra.rmi.trace.ReplyEndTx reply_end_tx = 13;`
  `TraceRmi.ReplyEndTxOrBuilder`
  `getReplyEndTxOrBuilder()`
  `.ghidra.rmi.trace.ReplyEndTx reply_end_tx = 13;`
  `TraceRmi.ReplyGetObject`
  `getReplyGetObject()`
  `.ghidra.rmi.trace.ReplyGetObject reply_get_object = 38;`
  `TraceRmi.ReplyGetObjectOrBuilder`
  `getReplyGetObjectOrBuilder()`
  `.ghidra.rmi.trace.ReplyGetObject reply_get_object = 38;`
  `TraceRmi.ReplyGetValues`
  `getReplyGetValues()`
  `.ghidra.rmi.trace.ReplyGetValues reply_get_values = 40;`
  `TraceRmi.ReplyGetValuesOrBuilder`
  `getReplyGetValuesOrBuilder()`
  `.ghidra.rmi.trace.ReplyGetValues reply_get_values = 40;`
  `TraceRmi.ReplyInsertObject`
  `getReplyInsertObject()`
  `.ghidra.rmi.trace.ReplyInsertObject reply_insert_object = 30;`
  `TraceRmi.ReplyInsertObjectOrBuilder`
  `getReplyInsertObjectOrBuilder()`
  `.ghidra.rmi.trace.ReplyInsertObject reply_insert_object = 30;`
  `TraceRmi.ReplyNegotiate`
  `getReplyNegotiate()`
  `.ghidra.rmi.trace.ReplyNegotiate reply_negotiate = 3;`
  `TraceRmi.ReplyNegotiateOrBuilder`
  `getReplyNegotiateOrBuilder()`
  `.ghidra.rmi.trace.ReplyNegotiate reply_negotiate = 3;`
  `TraceRmi.ReplyPutBytes`
  `getReplyPutBytes()`
  `.ghidra.rmi.trace.ReplyPutBytes reply_put_bytes = 19;`
  `TraceRmi.ReplyPutBytesOrBuilder`
  `getReplyPutBytesOrBuilder()`
  `.ghidra.rmi.trace.ReplyPutBytes reply_put_bytes = 19;`
  `TraceRmi.ReplyPutRegisterValue`
  `getReplyPutRegisterValue()`
  `.ghidra.rmi.trace.ReplyPutRegisterValue reply_put_register_value = 23;`
  `TraceRmi.ReplyPutRegisterValueOrBuilder`
  `getReplyPutRegisterValueOrBuilder()`
  `.ghidra.rmi.trace.ReplyPutRegisterValue reply_put_register_value = 23;`
  `TraceRmi.ReplyRemoveObject`
  `getReplyRemoveObject()`
  `.ghidra.rmi.trace.ReplyRemoveObject reply_remove_object = 32;`
  `TraceRmi.ReplyRemoveObjectOrBuilder`
  `getReplyRemoveObjectOrBuilder()`
  `.ghidra.rmi.trace.ReplyRemoveObject reply_remove_object = 32;`
  `TraceRmi.ReplyRetainValues`
  `getReplyRetainValues()`
  `.ghidra.rmi.trace.ReplyRetainValues reply_retain_values = 36;`
  `TraceRmi.ReplyRetainValuesOrBuilder`
  `getReplyRetainValuesOrBuilder()`
  `.ghidra.rmi.trace.ReplyRetainValues reply_retain_values = 36;`
  `TraceRmi.ReplySaveTrace`
  `getReplySaveTrace()`
  `.ghidra.rmi.trace.ReplySaveTrace reply_save_trace = 7;`
  `TraceRmi.ReplySaveTraceOrBuilder`
  `getReplySaveTraceOrBuilder()`
  `.ghidra.rmi.trace.ReplySaveTrace reply_save_trace = 7;`
  `TraceRmi.ReplySetMemoryState`
  `getReplySetMemoryState()`
  `.ghidra.rmi.trace.ReplySetMemoryState reply_set_memory_state = 17;`
  `TraceRmi.ReplySetMemoryStateOrBuilder`
  `getReplySetMemoryStateOrBuilder()`
  `.ghidra.rmi.trace.ReplySetMemoryState reply_set_memory_state = 17;`
  `TraceRmi.ReplySetValue`
  `getReplySetValue()`
  `.ghidra.rmi.trace.ReplySetValue reply_set_value = 34;`
  `TraceRmi.ReplySetValueOrBuilder`
  `getReplySetValueOrBuilder()`
  `.ghidra.rmi.trace.ReplySetValue reply_set_value = 34;`
  `TraceRmi.ReplySnapshot`
  `getReplySnapshot()`
  `.ghidra.rmi.trace.ReplySnapshot reply_snapshot = 47;`
  `TraceRmi.ReplySnapshotOrBuilder`
  `getReplySnapshotOrBuilder()`
  `.ghidra.rmi.trace.ReplySnapshot reply_snapshot = 47;`
  `TraceRmi.ReplyStartTx`
  `getReplyStartTx()`
  `.ghidra.rmi.trace.ReplyStartTx reply_start_tx = 11;`
  `TraceRmi.ReplyStartTxOrBuilder`
  `getReplyStartTxOrBuilder()`
  `.ghidra.rmi.trace.ReplyStartTx reply_start_tx = 11;`
  `TraceRmi.RequestActivate`
  `getRequestActivate()`
  `.ghidra.rmi.trace.RequestActivate request_activate = 44;`
  `TraceRmi.RequestActivateOrBuilder`
  `getRequestActivateOrBuilder()`
  `.ghidra.rmi.trace.RequestActivate request_activate = 44;`
  `TraceRmi.RequestCloseTrace`
  `getRequestCloseTrace()`
  `.ghidra.rmi.trace.RequestCloseTrace request_close_trace = 8;`
  `TraceRmi.RequestCloseTraceOrBuilder`
  `getRequestCloseTraceOrBuilder()`
  `.ghidra.rmi.trace.RequestCloseTrace request_close_trace = 8;`
  `TraceRmi.RequestCreateObject`
  `getRequestCreateObject()`
  Use same reply as CreateObject
  `TraceRmi.RequestCreateObjectOrBuilder`
  `getRequestCreateObjectOrBuilder()`
  Use same reply as CreateObject
  `TraceRmi.RequestCreateOverlaySpace`
  `getRequestCreateOverlay()`
  `.ghidra.rmi.trace.RequestCreateOverlaySpace request_create_overlay = 14;`
  `TraceRmi.RequestCreateOverlaySpaceOrBuilder`
  `getRequestCreateOverlayOrBuilder()`
  `.ghidra.rmi.trace.RequestCreateOverlaySpace request_create_overlay = 14;`
  `TraceRmi.RequestCreateRootObject`
  `getRequestCreateRootObject()`
  `.ghidra.rmi.trace.RequestCreateRootObject request_create_root_object = 26;`
  `TraceRmi.RequestCreateRootObjectOrBuilder`
  `getRequestCreateRootObjectOrBuilder()`
  `.ghidra.rmi.trace.RequestCreateRootObject request_create_root_object = 26;`
  `TraceRmi.RequestCreateTrace`
  `getRequestCreateTrace()`
  `.ghidra.rmi.trace.RequestCreateTrace request_create_trace = 4;`
  `TraceRmi.RequestCreateTraceOrBuilder`
  `getRequestCreateTraceOrBuilder()`
  `.ghidra.rmi.trace.RequestCreateTrace request_create_trace = 4;`
  `TraceRmi.RequestDeleteBytes`
  `getRequestDeleteBytes()`
  `.ghidra.rmi.trace.RequestDeleteBytes request_delete_bytes = 20;`
  `TraceRmi.RequestDeleteBytesOrBuilder`
  `getRequestDeleteBytesOrBuilder()`
  `.ghidra.rmi.trace.RequestDeleteBytes request_delete_bytes = 20;`
  `TraceRmi.RequestDeleteRegisterValue`
  `getRequestDeleteRegisterValue()`
  `.ghidra.rmi.trace.RequestDeleteRegisterValue request_delete_register_value = 24;`
  `TraceRmi.RequestDeleteRegisterValueOrBuilder`
  `getRequestDeleteRegisterValueOrBuilder()`
  `.ghidra.rmi.trace.RequestDeleteRegisterValue request_delete_register_value = 24;`
  `TraceRmi.RequestDisassemble`
  `getRequestDisassemble()`
  `.ghidra.rmi.trace.RequestDisassemble request_disassemble = 42;`
  `TraceRmi.RequestDisassembleOrBuilder`
  `getRequestDisassembleOrBuilder()`
  `.ghidra.rmi.trace.RequestDisassemble request_disassemble = 42;`
  `TraceRmi.RequestEndTx`
  `getRequestEndTx()`
  `.ghidra.rmi.trace.RequestEndTx request_end_tx = 12;`
  `TraceRmi.RequestEndTxOrBuilder`
  `getRequestEndTxOrBuilder()`
  `.ghidra.rmi.trace.RequestEndTx request_end_tx = 12;`
  `TraceRmi.RequestGetObject`
  `getRequestGetObject()`
  `.ghidra.rmi.trace.RequestGetObject request_get_object = 37;`
  `TraceRmi.RequestGetObjectOrBuilder`
  `getRequestGetObjectOrBuilder()`
  `.ghidra.rmi.trace.RequestGetObject request_get_object = 37;`
  `TraceRmi.RequestGetValues`
  `getRequestGetValues()`
  `.ghidra.rmi.trace.RequestGetValues request_get_values = 39;`
  `TraceRmi.RequestGetValuesIntersecting`
  `getRequestGetValuesIntersecting()`
  Reuse reply_get_values
  `TraceRmi.RequestGetValuesIntersectingOrBuilder`
  `getRequestGetValuesIntersectingOrBuilder()`
  Reuse reply_get_values
  `TraceRmi.RequestGetValuesOrBuilder`
  `getRequestGetValuesOrBuilder()`
  `.ghidra.rmi.trace.RequestGetValues request_get_values = 39;`
  `TraceRmi.RequestInsertObject`
  `getRequestInsertObject()`
  `.ghidra.rmi.trace.RequestInsertObject request_insert_object = 29;`
  `TraceRmi.RequestInsertObjectOrBuilder`
  `getRequestInsertObjectOrBuilder()`
  `.ghidra.rmi.trace.RequestInsertObject request_insert_object = 29;`
  `TraceRmi.RequestNegotiate`
  `getRequestNegotiate()`
  `.ghidra.rmi.trace.RequestNegotiate request_negotiate = 2;`
  `TraceRmi.RequestNegotiateOrBuilder`
  `getRequestNegotiateOrBuilder()`
  `.ghidra.rmi.trace.RequestNegotiate request_negotiate = 2;`
  `TraceRmi.RequestPutBytes`
  `getRequestPutBytes()`
  `.ghidra.rmi.trace.RequestPutBytes request_put_bytes = 18;`
  `TraceRmi.RequestPutBytesOrBuilder`
  `getRequestPutBytesOrBuilder()`
  `.ghidra.rmi.trace.RequestPutBytes request_put_bytes = 18;`
  `TraceRmi.RequestPutRegisterValue`
  `getRequestPutRegisterValue()`
  `.ghidra.rmi.trace.RequestPutRegisterValue request_put_register_value = 22;`
  `TraceRmi.RequestPutRegisterValueOrBuilder`
  `getRequestPutRegisterValueOrBuilder()`
  `.ghidra.rmi.trace.RequestPutRegisterValue request_put_register_value = 22;`
  `TraceRmi.RequestRemoveObject`
  `getRequestRemoveObject()`
  `.ghidra.rmi.trace.RequestRemoveObject request_remove_object = 31;`
  `TraceRmi.RequestRemoveObjectOrBuilder`
  `getRequestRemoveObjectOrBuilder()`
  `.ghidra.rmi.trace.RequestRemoveObject request_remove_object = 31;`
  `TraceRmi.RequestRetainValues`
  `getRequestRetainValues()`
  `.ghidra.rmi.trace.RequestRetainValues request_retain_values = 35;`
  `TraceRmi.RequestRetainValuesOrBuilder`
  `getRequestRetainValuesOrBuilder()`
  `.ghidra.rmi.trace.RequestRetainValues request_retain_values = 35;`
  `TraceRmi.RequestSaveTrace`
  `getRequestSaveTrace()`
  `.ghidra.rmi.trace.RequestSaveTrace request_save_trace = 6;`
  `TraceRmi.RequestSaveTraceOrBuilder`
  `getRequestSaveTraceOrBuilder()`
  `.ghidra.rmi.trace.RequestSaveTrace request_save_trace = 6;`
  `TraceRmi.RequestSetMemoryState`
  `getRequestSetMemoryState()`
  `.ghidra.rmi.trace.RequestSetMemoryState request_set_memory_state = 16;`
  `TraceRmi.RequestSetMemoryStateOrBuilder`
  `getRequestSetMemoryStateOrBuilder()`
  `.ghidra.rmi.trace.RequestSetMemoryState request_set_memory_state = 16;`
  `TraceRmi.RequestSetValue`
  `getRequestSetValue()`
  `.ghidra.rmi.trace.RequestSetValue request_set_value = 33;`
  `TraceRmi.RequestSetValueOrBuilder`
  `getRequestSetValueOrBuilder()`
  `.ghidra.rmi.trace.RequestSetValue request_set_value = 33;`
  `TraceRmi.RequestSnapshot`
  `getRequestSnapshot()`
  `.ghidra.rmi.trace.RequestSnapshot request_snapshot = 46;`
  `TraceRmi.RequestSnapshotOrBuilder`
  `getRequestSnapshotOrBuilder()`
  `.ghidra.rmi.trace.RequestSnapshot request_snapshot = 46;`
  `TraceRmi.RequestStartTx`
  `getRequestStartTx()`
  `.ghidra.rmi.trace.RequestStartTx request_start_tx = 10;`
  `TraceRmi.RequestStartTxOrBuilder`
  `getRequestStartTxOrBuilder()`
  `.ghidra.rmi.trace.RequestStartTx request_start_tx = 10;`
  `TraceRmi.XReplyInvokeMethod`
  `getXreplyInvokeMethod()`
  `.ghidra.rmi.trace.XReplyInvokeMethod xreply_invoke_method = 49;`
  `TraceRmi.XReplyInvokeMethodOrBuilder`
  `getXreplyInvokeMethodOrBuilder()`
  `.ghidra.rmi.trace.XReplyInvokeMethod xreply_invoke_method = 49;`
  `TraceRmi.XRequestInvokeMethod`
  `getXrequestInvokeMethod()`
  `.ghidra.rmi.trace.XRequestInvokeMethod xrequest_invoke_method = 48;`
  `TraceRmi.XRequestInvokeMethodOrBuilder`
  `getXrequestInvokeMethodOrBuilder()`
  `.ghidra.rmi.trace.XRequestInvokeMethod xrequest_invoke_method = 48;`
  `boolean`
  `hasError()`
  `.ghidra.rmi.trace.ReplyError error = 1;`
  `boolean`
  `hasReplyActivate()`
  `.ghidra.rmi.trace.ReplyActivate reply_activate = 45;`
  `boolean`
  `hasReplyCloseTrace()`
  `.ghidra.rmi.trace.ReplyCloseTrace reply_close_trace = 9;`
  `boolean`
  `hasReplyCreateObject()`
  `.ghidra.rmi.trace.ReplyCreateObject reply_create_object = 28;`
  `boolean`
  `hasReplyCreateOverlay()`
  `.ghidra.rmi.trace.ReplyCreateOverlaySpace reply_create_overlay = 15;`
  `boolean`
  `hasReplyCreateTrace()`
  `.ghidra.rmi.trace.ReplyCreateTrace reply_create_trace = 5;`
  `boolean`
  `hasReplyDeleteBytes()`
  `.ghidra.rmi.trace.ReplyDeleteBytes reply_delete_bytes = 21;`
  `boolean`
  `hasReplyDeleteRegisterValue()`
  `.ghidra.rmi.trace.ReplyDeleteRegisterValue reply_delete_register_value = 25;`
  `boolean`
  `hasReplyDisassemble()`
  `.ghidra.rmi.trace.ReplyDisassemble reply_disassemble = 43;`
  `boolean`
  `hasReplyEndTx()`
  `.ghidra.rmi.trace.ReplyEndTx reply_end_tx = 13;`
  `boolean`
  `hasReplyGetObject()`
  `.ghidra.rmi.trace.ReplyGetObject reply_get_object = 38;`
  `boolean`
  `hasReplyGetValues()`
  `.ghidra.rmi.trace.ReplyGetValues reply_get_values = 40;`
  `boolean`
  `hasReplyInsertObject()`
  `.ghidra.rmi.trace.ReplyInsertObject reply_insert_object = 30;`
  `boolean`
  `hasReplyNegotiate()`
  `.ghidra.rmi.trace.ReplyNegotiate reply_negotiate = 3;`
  `boolean`
  `hasReplyPutBytes()`
  `.ghidra.rmi.trace.ReplyPutBytes reply_put_bytes = 19;`
  `boolean`
  `hasReplyPutRegisterValue()`
  `.ghidra.rmi.trace.ReplyPutRegisterValue reply_put_register_value = 23;`
  `boolean`
  `hasReplyRemoveObject()`
  `.ghidra.rmi.trace.ReplyRemoveObject reply_remove_object = 32;`
  `boolean`
  `hasReplyRetainValues()`
  `.ghidra.rmi.trace.ReplyRetainValues reply_retain_values = 36;`
  `boolean`
  `hasReplySaveTrace()`
  `.ghidra.rmi.trace.ReplySaveTrace reply_save_trace = 7;`
  `boolean`
  `hasReplySetMemoryState()`
  `.ghidra.rmi.trace.ReplySetMemoryState reply_set_memory_state = 17;`
  `boolean`
  `hasReplySetValue()`
  `.ghidra.rmi.trace.ReplySetValue reply_set_value = 34;`
  `boolean`
  `hasReplySnapshot()`
  `.ghidra.rmi.trace.ReplySnapshot reply_snapshot = 47;`
  `boolean`
  `hasReplyStartTx()`
  `.ghidra.rmi.trace.ReplyStartTx reply_start_tx = 11;`
  `boolean`
  `hasRequestActivate()`
  `.ghidra.rmi.trace.RequestActivate request_activate = 44;`
  `boolean`
  `hasRequestCloseTrace()`
  `.ghidra.rmi.trace.RequestCloseTrace request_close_trace = 8;`
  `boolean`
  `hasRequestCreateObject()`
  Use same reply as CreateObject
  `boolean`
  `hasRequestCreateOverlay()`
  `.ghidra.rmi.trace.RequestCreateOverlaySpace request_create_overlay = 14;`
  `boolean`
  `hasRequestCreateRootObject()`
  `.ghidra.rmi.trace.RequestCreateRootObject request_create_root_object = 26;`
  `boolean`
  `hasRequestCreateTrace()`
  `.ghidra.rmi.trace.RequestCreateTrace request_create_trace = 4;`
  `boolean`
  `hasRequestDeleteBytes()`
  `.ghidra.rmi.trace.RequestDeleteBytes request_delete_bytes = 20;`
  `boolean`
  `hasRequestDeleteRegisterValue()`
  `.ghidra.rmi.trace.RequestDeleteRegisterValue request_delete_register_value = 24;`
  `boolean`
  `hasRequestDisassemble()`
  `.ghidra.rmi.trace.RequestDisassemble request_disassemble = 42;`
  `boolean`
  `hasRequestEndTx()`
  `.ghidra.rmi.trace.RequestEndTx request_end_tx = 12;`
  `boolean`
  `hasRequestGetObject()`
  `.ghidra.rmi.trace.RequestGetObject request_get_object = 37;`
  `boolean`
  `hasRequestGetValues()`
  `.ghidra.rmi.trace.RequestGetValues request_get_values = 39;`
  `boolean`
  `hasRequestGetValuesIntersecting()`
  Reuse reply_get_values
  `boolean`
  `hasRequestInsertObject()`
  `.ghidra.rmi.trace.RequestInsertObject request_insert_object = 29;`
  `boolean`
  `hasRequestNegotiate()`
  `.ghidra.rmi.trace.RequestNegotiate request_negotiate = 2;`
  `boolean`
  `hasRequestPutBytes()`
  `.ghidra.rmi.trace.RequestPutBytes request_put_bytes = 18;`
  `boolean`
  `hasRequestPutRegisterValue()`
  `.ghidra.rmi.trace.RequestPutRegisterValue request_put_register_value = 22;`
  `boolean`
  `hasRequestRemoveObject()`
  `.ghidra.rmi.trace.RequestRemoveObject request_remove_object = 31;`
  `boolean`
  `hasRequestRetainValues()`
  `.ghidra.rmi.trace.RequestRetainValues request_retain_values = 35;`
  `boolean`
  `hasRequestSaveTrace()`
  `.ghidra.rmi.trace.RequestSaveTrace request_save_trace = 6;`
  `boolean`
  `hasRequestSetMemoryState()`
  `.ghidra.rmi.trace.RequestSetMemoryState request_set_memory_state = 16;`
  `boolean`
  `hasRequestSetValue()`
  `.ghidra.rmi.trace.RequestSetValue request_set_value = 33;`
  `boolean`
  `hasRequestSnapshot()`
  `.ghidra.rmi.trace.RequestSnapshot request_snapshot = 46;`
  `boolean`
  `hasRequestStartTx()`
  `.ghidra.rmi.trace.RequestStartTx request_start_tx = 10;`
  `boolean`
  `hasXreplyInvokeMethod()`
  `.ghidra.rmi.trace.XReplyInvokeMethod xreply_invoke_method = 49;`
  `boolean`
  `hasXrequestInvokeMethod()`
  `.ghidra.rmi.trace.XRequestInvokeMethod xrequest_invoke_method = 48;`

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasError

    boolean hasError()
    `.ghidra.rmi.trace.ReplyError error = 1;`
    Returns:
      Whether the error field is set.

  - ### getError

    TraceRmi.ReplyError getError()
    `.ghidra.rmi.trace.ReplyError error = 1;`
    Returns:
      The error.

  - ### getErrorOrBuilder

    TraceRmi.ReplyErrorOrBuilder getErrorOrBuilder()
    `.ghidra.rmi.trace.ReplyError error = 1;`

  - ### hasRequestNegotiate

    boolean hasRequestNegotiate()
    `.ghidra.rmi.trace.RequestNegotiate request_negotiate = 2;`
    Returns:
      Whether the requestNegotiate field is set.

  - ### getRequestNegotiate

    TraceRmi.RequestNegotiate getRequestNegotiate()
    `.ghidra.rmi.trace.RequestNegotiate request_negotiate = 2;`
    Returns:
      The requestNegotiate.

  - ### getRequestNegotiateOrBuilder

    TraceRmi.RequestNegotiateOrBuilder getRequestNegotiateOrBuilder()
    `.ghidra.rmi.trace.RequestNegotiate request_negotiate = 2;`

  - ### hasReplyNegotiate

    boolean hasReplyNegotiate()
    `.ghidra.rmi.trace.ReplyNegotiate reply_negotiate = 3;`
    Returns:
      Whether the replyNegotiate field is set.

  - ### getReplyNegotiate

    TraceRmi.ReplyNegotiate getReplyNegotiate()
    `.ghidra.rmi.trace.ReplyNegotiate reply_negotiate = 3;`
    Returns:
      The replyNegotiate.

  - ### getReplyNegotiateOrBuilder

    TraceRmi.ReplyNegotiateOrBuilder getReplyNegotiateOrBuilder()
    `.ghidra.rmi.trace.ReplyNegotiate reply_negotiate = 3;`

  - ### hasRequestCreateTrace

    boolean hasRequestCreateTrace()
    `.ghidra.rmi.trace.RequestCreateTrace request_create_trace = 4;`
    Returns:
      Whether the requestCreateTrace field is set.

  - ### getRequestCreateTrace

    TraceRmi.RequestCreateTrace getRequestCreateTrace()
    `.ghidra.rmi.trace.RequestCreateTrace request_create_trace = 4;`
    Returns:
      The requestCreateTrace.

  - ### getRequestCreateTraceOrBuilder

    TraceRmi.RequestCreateTraceOrBuilder getRequestCreateTraceOrBuilder()
    `.ghidra.rmi.trace.RequestCreateTrace request_create_trace = 4;`

  - ### hasReplyCreateTrace

    boolean hasReplyCreateTrace()
    `.ghidra.rmi.trace.ReplyCreateTrace reply_create_trace = 5;`
    Returns:
      Whether the replyCreateTrace field is set.

  - ### getReplyCreateTrace

    TraceRmi.ReplyCreateTrace getReplyCreateTrace()
    `.ghidra.rmi.trace.ReplyCreateTrace reply_create_trace = 5;`
    Returns:
      The replyCreateTrace.

  - ### getReplyCreateTraceOrBuilder

    TraceRmi.ReplyCreateTraceOrBuilder getReplyCreateTraceOrBuilder()
    `.ghidra.rmi.trace.ReplyCreateTrace reply_create_trace = 5;`

  - ### hasRequestSaveTrace

    boolean hasRequestSaveTrace()
    `.ghidra.rmi.trace.RequestSaveTrace request_save_trace = 6;`
    Returns:
      Whether the requestSaveTrace field is set.

  - ### getRequestSaveTrace

    TraceRmi.RequestSaveTrace getRequestSaveTrace()
    `.ghidra.rmi.trace.RequestSaveTrace request_save_trace = 6;`
    Returns:
      The requestSaveTrace.

  - ### getRequestSaveTraceOrBuilder

    TraceRmi.RequestSaveTraceOrBuilder getRequestSaveTraceOrBuilder()
    `.ghidra.rmi.trace.RequestSaveTrace request_save_trace = 6;`

  - ### hasReplySaveTrace

    boolean hasReplySaveTrace()
    `.ghidra.rmi.trace.ReplySaveTrace reply_save_trace = 7;`
    Returns:
      Whether the replySaveTrace field is set.

  - ### getReplySaveTrace

    TraceRmi.ReplySaveTrace getReplySaveTrace()
    `.ghidra.rmi.trace.ReplySaveTrace reply_save_trace = 7;`
    Returns:
      The replySaveTrace.

  - ### getReplySaveTraceOrBuilder

    TraceRmi.ReplySaveTraceOrBuilder getReplySaveTraceOrBuilder()
    `.ghidra.rmi.trace.ReplySaveTrace reply_save_trace = 7;`

  - ### hasRequestCloseTrace

    boolean hasRequestCloseTrace()
    `.ghidra.rmi.trace.RequestCloseTrace request_close_trace = 8;`
    Returns:
      Whether the requestCloseTrace field is set.

  - ### getRequestCloseTrace

    TraceRmi.RequestCloseTrace getRequestCloseTrace()
    `.ghidra.rmi.trace.RequestCloseTrace request_close_trace = 8;`
    Returns:
      The requestCloseTrace.

  - ### getRequestCloseTraceOrBuilder

    TraceRmi.RequestCloseTraceOrBuilder getRequestCloseTraceOrBuilder()
    `.ghidra.rmi.trace.RequestCloseTrace request_close_trace = 8;`

  - ### hasReplyCloseTrace

    boolean hasReplyCloseTrace()
    `.ghidra.rmi.trace.ReplyCloseTrace reply_close_trace = 9;`
    Returns:
      Whether the replyCloseTrace field is set.

  - ### getReplyCloseTrace

    TraceRmi.ReplyCloseTrace getReplyCloseTrace()
    `.ghidra.rmi.trace.ReplyCloseTrace reply_close_trace = 9;`
    Returns:
      The replyCloseTrace.

  - ### getReplyCloseTraceOrBuilder

    TraceRmi.ReplyCloseTraceOrBuilder getReplyCloseTraceOrBuilder()
    `.ghidra.rmi.trace.ReplyCloseTrace reply_close_trace = 9;`

  - ### hasRequestStartTx

    boolean hasRequestStartTx()
    `.ghidra.rmi.trace.RequestStartTx request_start_tx = 10;`
    Returns:
      Whether the requestStartTx field is set.

  - ### getRequestStartTx

    TraceRmi.RequestStartTx getRequestStartTx()
    `.ghidra.rmi.trace.RequestStartTx request_start_tx = 10;`
    Returns:
      The requestStartTx.

  - ### getRequestStartTxOrBuilder

    TraceRmi.RequestStartTxOrBuilder getRequestStartTxOrBuilder()
    `.ghidra.rmi.trace.RequestStartTx request_start_tx = 10;`

  - ### hasReplyStartTx

    boolean hasReplyStartTx()
    `.ghidra.rmi.trace.ReplyStartTx reply_start_tx = 11;`
    Returns:
      Whether the replyStartTx field is set.

  - ### getReplyStartTx

    TraceRmi.ReplyStartTx getReplyStartTx()
    `.ghidra.rmi.trace.ReplyStartTx reply_start_tx = 11;`
    Returns:
      The replyStartTx.

  - ### getReplyStartTxOrBuilder

    TraceRmi.ReplyStartTxOrBuilder getReplyStartTxOrBuilder()
    `.ghidra.rmi.trace.ReplyStartTx reply_start_tx = 11;`

  - ### hasRequestEndTx

    boolean hasRequestEndTx()
    `.ghidra.rmi.trace.RequestEndTx request_end_tx = 12;`
    Returns:
      Whether the requestEndTx field is set.

  - ### getRequestEndTx

    TraceRmi.RequestEndTx getRequestEndTx()
    `.ghidra.rmi.trace.RequestEndTx request_end_tx = 12;`
    Returns:
      The requestEndTx.

  - ### getRequestEndTxOrBuilder

    TraceRmi.RequestEndTxOrBuilder getRequestEndTxOrBuilder()
    `.ghidra.rmi.trace.RequestEndTx request_end_tx = 12;`

  - ### hasReplyEndTx

    boolean hasReplyEndTx()
    `.ghidra.rmi.trace.ReplyEndTx reply_end_tx = 13;`
    Returns:
      Whether the replyEndTx field is set.

  - ### getReplyEndTx

    TraceRmi.ReplyEndTx getReplyEndTx()
    `.ghidra.rmi.trace.ReplyEndTx reply_end_tx = 13;`
    Returns:
      The replyEndTx.

  - ### getReplyEndTxOrBuilder

    TraceRmi.ReplyEndTxOrBuilder getReplyEndTxOrBuilder()
    `.ghidra.rmi.trace.ReplyEndTx reply_end_tx = 13;`

  - ### hasRequestCreateOverlay

    boolean hasRequestCreateOverlay()
    `.ghidra.rmi.trace.RequestCreateOverlaySpace request_create_overlay = 14;`
    Returns:
      Whether the requestCreateOverlay field is set.

  - ### getRequestCreateOverlay

    TraceRmi.RequestCreateOverlaySpace getRequestCreateOverlay()
    `.ghidra.rmi.trace.RequestCreateOverlaySpace request_create_overlay = 14;`
    Returns:
      The requestCreateOverlay.

  - ### getRequestCreateOverlayOrBuilder

    TraceRmi.RequestCreateOverlaySpaceOrBuilder getRequestCreateOverlayOrBuilder()
    `.ghidra.rmi.trace.RequestCreateOverlaySpace request_create_overlay = 14;`

  - ### hasReplyCreateOverlay

    boolean hasReplyCreateOverlay()
    `.ghidra.rmi.trace.ReplyCreateOverlaySpace reply_create_overlay = 15;`
    Returns:
      Whether the replyCreateOverlay field is set.

  - ### getReplyCreateOverlay

    TraceRmi.ReplyCreateOverlaySpace getReplyCreateOverlay()
    `.ghidra.rmi.trace.ReplyCreateOverlaySpace reply_create_overlay = 15;`
    Returns:
      The replyCreateOverlay.

  - ### getReplyCreateOverlayOrBuilder

    TraceRmi.ReplyCreateOverlaySpaceOrBuilder getReplyCreateOverlayOrBuilder()
    `.ghidra.rmi.trace.ReplyCreateOverlaySpace reply_create_overlay = 15;`

  - ### hasRequestSetMemoryState

    boolean hasRequestSetMemoryState()
    `.ghidra.rmi.trace.RequestSetMemoryState request_set_memory_state = 16;`
    Returns:
      Whether the requestSetMemoryState field is set.

  - ### getRequestSetMemoryState

    TraceRmi.RequestSetMemoryState getRequestSetMemoryState()
    `.ghidra.rmi.trace.RequestSetMemoryState request_set_memory_state = 16;`
    Returns:
      The requestSetMemoryState.

  - ### getRequestSetMemoryStateOrBuilder

    TraceRmi.RequestSetMemoryStateOrBuilder getRequestSetMemoryStateOrBuilder()
    `.ghidra.rmi.trace.RequestSetMemoryState request_set_memory_state = 16;`

  - ### hasReplySetMemoryState

    boolean hasReplySetMemoryState()
    `.ghidra.rmi.trace.ReplySetMemoryState reply_set_memory_state = 17;`
    Returns:
      Whether the replySetMemoryState field is set.

  - ### getReplySetMemoryState

    TraceRmi.ReplySetMemoryState getReplySetMemoryState()
    `.ghidra.rmi.trace.ReplySetMemoryState reply_set_memory_state = 17;`
    Returns:
      The replySetMemoryState.

  - ### getReplySetMemoryStateOrBuilder

    TraceRmi.ReplySetMemoryStateOrBuilder getReplySetMemoryStateOrBuilder()
    `.ghidra.rmi.trace.ReplySetMemoryState reply_set_memory_state = 17;`

  - ### hasRequestPutBytes

    boolean hasRequestPutBytes()
    `.ghidra.rmi.trace.RequestPutBytes request_put_bytes = 18;`
    Returns:
      Whether the requestPutBytes field is set.

  - ### getRequestPutBytes

    TraceRmi.RequestPutBytes getRequestPutBytes()
    `.ghidra.rmi.trace.RequestPutBytes request_put_bytes = 18;`
    Returns:
      The requestPutBytes.

  - ### getRequestPutBytesOrBuilder

    TraceRmi.RequestPutBytesOrBuilder getRequestPutBytesOrBuilder()
    `.ghidra.rmi.trace.RequestPutBytes request_put_bytes = 18;`

  - ### hasReplyPutBytes

    boolean hasReplyPutBytes()
    `.ghidra.rmi.trace.ReplyPutBytes reply_put_bytes = 19;`
    Returns:
      Whether the replyPutBytes field is set.

  - ### getReplyPutBytes

    TraceRmi.ReplyPutBytes getReplyPutBytes()
    `.ghidra.rmi.trace.ReplyPutBytes reply_put_bytes = 19;`
    Returns:
      The replyPutBytes.

  - ### getReplyPutBytesOrBuilder

    TraceRmi.ReplyPutBytesOrBuilder getReplyPutBytesOrBuilder()
    `.ghidra.rmi.trace.ReplyPutBytes reply_put_bytes = 19;`

  - ### hasRequestDeleteBytes

    boolean hasRequestDeleteBytes()
    `.ghidra.rmi.trace.RequestDeleteBytes request_delete_bytes = 20;`
    Returns:
      Whether the requestDeleteBytes field is set.

  - ### getRequestDeleteBytes

    TraceRmi.RequestDeleteBytes getRequestDeleteBytes()
    `.ghidra.rmi.trace.RequestDeleteBytes request_delete_bytes = 20;`
    Returns:
      The requestDeleteBytes.

  - ### getRequestDeleteBytesOrBuilder

    TraceRmi.RequestDeleteBytesOrBuilder getRequestDeleteBytesOrBuilder()
    `.ghidra.rmi.trace.RequestDeleteBytes request_delete_bytes = 20;`

  - ### hasReplyDeleteBytes

    boolean hasReplyDeleteBytes()
    `.ghidra.rmi.trace.ReplyDeleteBytes reply_delete_bytes = 21;`
    Returns:
      Whether the replyDeleteBytes field is set.

  - ### getReplyDeleteBytes

    TraceRmi.ReplyDeleteBytes getReplyDeleteBytes()
    `.ghidra.rmi.trace.ReplyDeleteBytes reply_delete_bytes = 21;`
    Returns:
      The replyDeleteBytes.

  - ### getReplyDeleteBytesOrBuilder

    TraceRmi.ReplyDeleteBytesOrBuilder getReplyDeleteBytesOrBuilder()
    `.ghidra.rmi.trace.ReplyDeleteBytes reply_delete_bytes = 21;`

  - ### hasRequestPutRegisterValue

    boolean hasRequestPutRegisterValue()
    `.ghidra.rmi.trace.RequestPutRegisterValue request_put_register_value = 22;`
    Returns:
      Whether the requestPutRegisterValue field is set.

  - ### getRequestPutRegisterValue

    TraceRmi.RequestPutRegisterValue getRequestPutRegisterValue()
    `.ghidra.rmi.trace.RequestPutRegisterValue request_put_register_value = 22;`
    Returns:
      The requestPutRegisterValue.

  - ### getRequestPutRegisterValueOrBuilder

    TraceRmi.RequestPutRegisterValueOrBuilder getRequestPutRegisterValueOrBuilder()
    `.ghidra.rmi.trace.RequestPutRegisterValue request_put_register_value = 22;`

  - ### hasReplyPutRegisterValue

    boolean hasReplyPutRegisterValue()
    `.ghidra.rmi.trace.ReplyPutRegisterValue reply_put_register_value = 23;`
    Returns:
      Whether the replyPutRegisterValue field is set.

  - ### getReplyPutRegisterValue

    TraceRmi.ReplyPutRegisterValue getReplyPutRegisterValue()
    `.ghidra.rmi.trace.ReplyPutRegisterValue reply_put_register_value = 23;`
    Returns:
      The replyPutRegisterValue.

  - ### getReplyPutRegisterValueOrBuilder

    TraceRmi.ReplyPutRegisterValueOrBuilder getReplyPutRegisterValueOrBuilder()
    `.ghidra.rmi.trace.ReplyPutRegisterValue reply_put_register_value = 23;`

  - ### hasRequestDeleteRegisterValue

    boolean hasRequestDeleteRegisterValue()
    `.ghidra.rmi.trace.RequestDeleteRegisterValue request_delete_register_value = 24;`
    Returns:
      Whether the requestDeleteRegisterValue field is set.

  - ### getRequestDeleteRegisterValue

    TraceRmi.RequestDeleteRegisterValue getRequestDeleteRegisterValue()
    `.ghidra.rmi.trace.RequestDeleteRegisterValue request_delete_register_value = 24;`
    Returns:
      The requestDeleteRegisterValue.

  - ### getRequestDeleteRegisterValueOrBuilder

    TraceRmi.RequestDeleteRegisterValueOrBuilder getRequestDeleteRegisterValueOrBuilder()
    `.ghidra.rmi.trace.RequestDeleteRegisterValue request_delete_register_value = 24;`

  - ### hasReplyDeleteRegisterValue

    boolean hasReplyDeleteRegisterValue()
    `.ghidra.rmi.trace.ReplyDeleteRegisterValue reply_delete_register_value = 25;`
    Returns:
      Whether the replyDeleteRegisterValue field is set.

  - ### getReplyDeleteRegisterValue

    TraceRmi.ReplyDeleteRegisterValue getReplyDeleteRegisterValue()
    `.ghidra.rmi.trace.ReplyDeleteRegisterValue reply_delete_register_value = 25;`
    Returns:
      The replyDeleteRegisterValue.

  - ### getReplyDeleteRegisterValueOrBuilder

    TraceRmi.ReplyDeleteRegisterValueOrBuilder getReplyDeleteRegisterValueOrBuilder()
    `.ghidra.rmi.trace.ReplyDeleteRegisterValue reply_delete_register_value = 25;`

  - ### hasRequestCreateRootObject

    boolean hasRequestCreateRootObject()
    `.ghidra.rmi.trace.RequestCreateRootObject request_create_root_object = 26;`
    Returns:
      Whether the requestCreateRootObject field is set.

  - ### getRequestCreateRootObject

    TraceRmi.RequestCreateRootObject getRequestCreateRootObject()
    `.ghidra.rmi.trace.RequestCreateRootObject request_create_root_object = 26;`
    Returns:
      The requestCreateRootObject.

  - ### getRequestCreateRootObjectOrBuilder

    TraceRmi.RequestCreateRootObjectOrBuilder getRequestCreateRootObjectOrBuilder()
    `.ghidra.rmi.trace.RequestCreateRootObject request_create_root_object = 26;`

  - ### hasRequestCreateObject

    boolean hasRequestCreateObject()

         Use same reply as CreateObject

    `.ghidra.rmi.trace.RequestCreateObject request_create_object = 27;`
    Returns:
      Whether the requestCreateObject field is set.

  - ### getRequestCreateObject

    TraceRmi.RequestCreateObject getRequestCreateObject()

         Use same reply as CreateObject

    `.ghidra.rmi.trace.RequestCreateObject request_create_object = 27;`
    Returns:
      The requestCreateObject.

  - ### getRequestCreateObjectOrBuilder

    TraceRmi.RequestCreateObjectOrBuilder getRequestCreateObjectOrBuilder()

         Use same reply as CreateObject

    `.ghidra.rmi.trace.RequestCreateObject request_create_object = 27;`

  - ### hasReplyCreateObject

    boolean hasReplyCreateObject()
    `.ghidra.rmi.trace.ReplyCreateObject reply_create_object = 28;`
    Returns:
      Whether the replyCreateObject field is set.

  - ### getReplyCreateObject

    TraceRmi.ReplyCreateObject getReplyCreateObject()
    `.ghidra.rmi.trace.ReplyCreateObject reply_create_object = 28;`
    Returns:
      The replyCreateObject.

  - ### getReplyCreateObjectOrBuilder

    TraceRmi.ReplyCreateObjectOrBuilder getReplyCreateObjectOrBuilder()
    `.ghidra.rmi.trace.ReplyCreateObject reply_create_object = 28;`

  - ### hasRequestInsertObject

    boolean hasRequestInsertObject()
    `.ghidra.rmi.trace.RequestInsertObject request_insert_object = 29;`
    Returns:
      Whether the requestInsertObject field is set.

  - ### getRequestInsertObject

    TraceRmi.RequestInsertObject getRequestInsertObject()
    `.ghidra.rmi.trace.RequestInsertObject request_insert_object = 29;`
    Returns:
      The requestInsertObject.

  - ### getRequestInsertObjectOrBuilder

    TraceRmi.RequestInsertObjectOrBuilder getRequestInsertObjectOrBuilder()
    `.ghidra.rmi.trace.RequestInsertObject request_insert_object = 29;`

  - ### hasReplyInsertObject

    boolean hasReplyInsertObject()
    `.ghidra.rmi.trace.ReplyInsertObject reply_insert_object = 30;`
    Returns:
      Whether the replyInsertObject field is set.

  - ### getReplyInsertObject

    TraceRmi.ReplyInsertObject getReplyInsertObject()
    `.ghidra.rmi.trace.ReplyInsertObject reply_insert_object = 30;`
    Returns:
      The replyInsertObject.

  - ### getReplyInsertObjectOrBuilder

    TraceRmi.ReplyInsertObjectOrBuilder getReplyInsertObjectOrBuilder()
    `.ghidra.rmi.trace.ReplyInsertObject reply_insert_object = 30;`

  - ### hasRequestRemoveObject

    boolean hasRequestRemoveObject()
    `.ghidra.rmi.trace.RequestRemoveObject request_remove_object = 31;`
    Returns:
      Whether the requestRemoveObject field is set.

  - ### getRequestRemoveObject

    TraceRmi.RequestRemoveObject getRequestRemoveObject()
    `.ghidra.rmi.trace.RequestRemoveObject request_remove_object = 31;`
    Returns:
      The requestRemoveObject.

  - ### getRequestRemoveObjectOrBuilder

    TraceRmi.RequestRemoveObjectOrBuilder getRequestRemoveObjectOrBuilder()
    `.ghidra.rmi.trace.RequestRemoveObject request_remove_object = 31;`

  - ### hasReplyRemoveObject

    boolean hasReplyRemoveObject()
    `.ghidra.rmi.trace.ReplyRemoveObject reply_remove_object = 32;`
    Returns:
      Whether the replyRemoveObject field is set.

  - ### getReplyRemoveObject

    TraceRmi.ReplyRemoveObject getReplyRemoveObject()
    `.ghidra.rmi.trace.ReplyRemoveObject reply_remove_object = 32;`
    Returns:
      The replyRemoveObject.

  - ### getReplyRemoveObjectOrBuilder

    TraceRmi.ReplyRemoveObjectOrBuilder getReplyRemoveObjectOrBuilder()
    `.ghidra.rmi.trace.ReplyRemoveObject reply_remove_object = 32;`

  - ### hasRequestSetValue

    boolean hasRequestSetValue()
    `.ghidra.rmi.trace.RequestSetValue request_set_value = 33;`
    Returns:
      Whether the requestSetValue field is set.

  - ### getRequestSetValue

    TraceRmi.RequestSetValue getRequestSetValue()
    `.ghidra.rmi.trace.RequestSetValue request_set_value = 33;`
    Returns:
      The requestSetValue.

  - ### getRequestSetValueOrBuilder

    TraceRmi.RequestSetValueOrBuilder getRequestSetValueOrBuilder()
    `.ghidra.rmi.trace.RequestSetValue request_set_value = 33;`

  - ### hasReplySetValue

    boolean hasReplySetValue()
    `.ghidra.rmi.trace.ReplySetValue reply_set_value = 34;`
    Returns:
      Whether the replySetValue field is set.

  - ### getReplySetValue

    TraceRmi.ReplySetValue getReplySetValue()
    `.ghidra.rmi.trace.ReplySetValue reply_set_value = 34;`
    Returns:
      The replySetValue.

  - ### getReplySetValueOrBuilder

    TraceRmi.ReplySetValueOrBuilder getReplySetValueOrBuilder()
    `.ghidra.rmi.trace.ReplySetValue reply_set_value = 34;`

  - ### hasRequestRetainValues

    boolean hasRequestRetainValues()
    `.ghidra.rmi.trace.RequestRetainValues request_retain_values = 35;`
    Returns:
      Whether the requestRetainValues field is set.

  - ### getRequestRetainValues

    TraceRmi.RequestRetainValues getRequestRetainValues()
    `.ghidra.rmi.trace.RequestRetainValues request_retain_values = 35;`
    Returns:
      The requestRetainValues.

  - ### getRequestRetainValuesOrBuilder

    TraceRmi.RequestRetainValuesOrBuilder getRequestRetainValuesOrBuilder()
    `.ghidra.rmi.trace.RequestRetainValues request_retain_values = 35;`

  - ### hasReplyRetainValues

    boolean hasReplyRetainValues()
    `.ghidra.rmi.trace.ReplyRetainValues reply_retain_values = 36;`
    Returns:
      Whether the replyRetainValues field is set.

  - ### getReplyRetainValues

    TraceRmi.ReplyRetainValues getReplyRetainValues()
    `.ghidra.rmi.trace.ReplyRetainValues reply_retain_values = 36;`
    Returns:
      The replyRetainValues.

  - ### getReplyRetainValuesOrBuilder

    TraceRmi.ReplyRetainValuesOrBuilder getReplyRetainValuesOrBuilder()
    `.ghidra.rmi.trace.ReplyRetainValues reply_retain_values = 36;`

  - ### hasRequestGetObject

    boolean hasRequestGetObject()
    `.ghidra.rmi.trace.RequestGetObject request_get_object = 37;`
    Returns:
      Whether the requestGetObject field is set.

  - ### getRequestGetObject

    TraceRmi.RequestGetObject getRequestGetObject()
    `.ghidra.rmi.trace.RequestGetObject request_get_object = 37;`
    Returns:
      The requestGetObject.

  - ### getRequestGetObjectOrBuilder

    TraceRmi.RequestGetObjectOrBuilder getRequestGetObjectOrBuilder()
    `.ghidra.rmi.trace.RequestGetObject request_get_object = 37;`

  - ### hasReplyGetObject

    boolean hasReplyGetObject()
    `.ghidra.rmi.trace.ReplyGetObject reply_get_object = 38;`
    Returns:
      Whether the replyGetObject field is set.

  - ### getReplyGetObject

    TraceRmi.ReplyGetObject getReplyGetObject()
    `.ghidra.rmi.trace.ReplyGetObject reply_get_object = 38;`
    Returns:
      The replyGetObject.

  - ### getReplyGetObjectOrBuilder

    TraceRmi.ReplyGetObjectOrBuilder getReplyGetObjectOrBuilder()
    `.ghidra.rmi.trace.ReplyGetObject reply_get_object = 38;`

  - ### hasRequestGetValues

    boolean hasRequestGetValues()
    `.ghidra.rmi.trace.RequestGetValues request_get_values = 39;`
    Returns:
      Whether the requestGetValues field is set.

  - ### getRequestGetValues

    TraceRmi.RequestGetValues getRequestGetValues()
    `.ghidra.rmi.trace.RequestGetValues request_get_values = 39;`
    Returns:
      The requestGetValues.

  - ### getRequestGetValuesOrBuilder

    TraceRmi.RequestGetValuesOrBuilder getRequestGetValuesOrBuilder()
    `.ghidra.rmi.trace.RequestGetValues request_get_values = 39;`

  - ### hasReplyGetValues

    boolean hasReplyGetValues()
    `.ghidra.rmi.trace.ReplyGetValues reply_get_values = 40;`
    Returns:
      Whether the replyGetValues field is set.

  - ### getReplyGetValues

    TraceRmi.ReplyGetValues getReplyGetValues()
    `.ghidra.rmi.trace.ReplyGetValues reply_get_values = 40;`
    Returns:
      The replyGetValues.

  - ### getReplyGetValuesOrBuilder

    TraceRmi.ReplyGetValuesOrBuilder getReplyGetValuesOrBuilder()
    `.ghidra.rmi.trace.ReplyGetValues reply_get_values = 40;`

  - ### hasRequestGetValuesIntersecting

    boolean hasRequestGetValuesIntersecting()

         Reuse reply_get_values

    `.ghidra.rmi.trace.RequestGetValuesIntersecting request_get_values_intersecting = 41;`
    Returns:
      Whether the requestGetValuesIntersecting field is set.

  - ### getRequestGetValuesIntersecting

    TraceRmi.RequestGetValuesIntersecting getRequestGetValuesIntersecting()

         Reuse reply_get_values

    `.ghidra.rmi.trace.RequestGetValuesIntersecting request_get_values_intersecting = 41;`
    Returns:
      The requestGetValuesIntersecting.

  - ### getRequestGetValuesIntersectingOrBuilder

    TraceRmi.RequestGetValuesIntersectingOrBuilder getRequestGetValuesIntersectingOrBuilder()

         Reuse reply_get_values

    `.ghidra.rmi.trace.RequestGetValuesIntersecting request_get_values_intersecting = 41;`

  - ### hasRequestDisassemble

    boolean hasRequestDisassemble()
    `.ghidra.rmi.trace.RequestDisassemble request_disassemble = 42;`
    Returns:
      Whether the requestDisassemble field is set.

  - ### getRequestDisassemble

    TraceRmi.RequestDisassemble getRequestDisassemble()
    `.ghidra.rmi.trace.RequestDisassemble request_disassemble = 42;`
    Returns:
      The requestDisassemble.

  - ### getRequestDisassembleOrBuilder

    TraceRmi.RequestDisassembleOrBuilder getRequestDisassembleOrBuilder()
    `.ghidra.rmi.trace.RequestDisassemble request_disassemble = 42;`

  - ### hasReplyDisassemble

    boolean hasReplyDisassemble()
    `.ghidra.rmi.trace.ReplyDisassemble reply_disassemble = 43;`
    Returns:
      Whether the replyDisassemble field is set.

  - ### getReplyDisassemble

    TraceRmi.ReplyDisassemble getReplyDisassemble()
    `.ghidra.rmi.trace.ReplyDisassemble reply_disassemble = 43;`
    Returns:
      The replyDisassemble.

  - ### getReplyDisassembleOrBuilder

    TraceRmi.ReplyDisassembleOrBuilder getReplyDisassembleOrBuilder()
    `.ghidra.rmi.trace.ReplyDisassemble reply_disassemble = 43;`

  - ### hasRequestActivate

    boolean hasRequestActivate()
    `.ghidra.rmi.trace.RequestActivate request_activate = 44;`
    Returns:
      Whether the requestActivate field is set.

  - ### getRequestActivate

    TraceRmi.RequestActivate getRequestActivate()
    `.ghidra.rmi.trace.RequestActivate request_activate = 44;`
    Returns:
      The requestActivate.

  - ### getRequestActivateOrBuilder

    TraceRmi.RequestActivateOrBuilder getRequestActivateOrBuilder()
    `.ghidra.rmi.trace.RequestActivate request_activate = 44;`

  - ### hasReplyActivate

    boolean hasReplyActivate()
    `.ghidra.rmi.trace.ReplyActivate reply_activate = 45;`
    Returns:
      Whether the replyActivate field is set.

  - ### getReplyActivate

    TraceRmi.ReplyActivate getReplyActivate()
    `.ghidra.rmi.trace.ReplyActivate reply_activate = 45;`
    Returns:
      The replyActivate.

  - ### getReplyActivateOrBuilder

    TraceRmi.ReplyActivateOrBuilder getReplyActivateOrBuilder()
    `.ghidra.rmi.trace.ReplyActivate reply_activate = 45;`

  - ### hasRequestSnapshot

    boolean hasRequestSnapshot()
    `.ghidra.rmi.trace.RequestSnapshot request_snapshot = 46;`
    Returns:
      Whether the requestSnapshot field is set.

  - ### getRequestSnapshot

    TraceRmi.RequestSnapshot getRequestSnapshot()
    `.ghidra.rmi.trace.RequestSnapshot request_snapshot = 46;`
    Returns:
      The requestSnapshot.

  - ### getRequestSnapshotOrBuilder

    TraceRmi.RequestSnapshotOrBuilder getRequestSnapshotOrBuilder()
    `.ghidra.rmi.trace.RequestSnapshot request_snapshot = 46;`

  - ### hasReplySnapshot

    boolean hasReplySnapshot()
    `.ghidra.rmi.trace.ReplySnapshot reply_snapshot = 47;`
    Returns:
      Whether the replySnapshot field is set.

  - ### getReplySnapshot

    TraceRmi.ReplySnapshot getReplySnapshot()
    `.ghidra.rmi.trace.ReplySnapshot reply_snapshot = 47;`
    Returns:
      The replySnapshot.

  - ### getReplySnapshotOrBuilder

    TraceRmi.ReplySnapshotOrBuilder getReplySnapshotOrBuilder()
    `.ghidra.rmi.trace.ReplySnapshot reply_snapshot = 47;`

  - ### hasXrequestInvokeMethod

    boolean hasXrequestInvokeMethod()
    `.ghidra.rmi.trace.XRequestInvokeMethod xrequest_invoke_method = 48;`
    Returns:
      Whether the xrequestInvokeMethod field is set.

  - ### getXrequestInvokeMethod

    TraceRmi.XRequestInvokeMethod getXrequestInvokeMethod()
    `.ghidra.rmi.trace.XRequestInvokeMethod xrequest_invoke_method = 48;`
    Returns:
      The xrequestInvokeMethod.

  - ### getXrequestInvokeMethodOrBuilder

    TraceRmi.XRequestInvokeMethodOrBuilder getXrequestInvokeMethodOrBuilder()
    `.ghidra.rmi.trace.XRequestInvokeMethod xrequest_invoke_method = 48;`

  - ### hasXreplyInvokeMethod

    boolean hasXreplyInvokeMethod()
    `.ghidra.rmi.trace.XReplyInvokeMethod xreply_invoke_method = 49;`
    Returns:
      Whether the xreplyInvokeMethod field is set.

  - ### getXreplyInvokeMethod

    TraceRmi.XReplyInvokeMethod getXreplyInvokeMethod()
    `.ghidra.rmi.trace.XReplyInvokeMethod xreply_invoke_method = 49;`
    Returns:
      The xreplyInvokeMethod.

  - ### getXreplyInvokeMethodOrBuilder

    TraceRmi.XReplyInvokeMethodOrBuilder getXreplyInvokeMethodOrBuilder()
    `.ghidra.rmi.trace.XReplyInvokeMethod xreply_invoke_method = 49;`

  - ### getMsgCase

    TraceRmi.RootMessage.MsgCase getMsgCase()